%global fontname stix
%global fontconf 65-%{fontname}-fonts.conf

Summary:       STIX, a scientific and engineering font family
Name:          %{fontname}-fonts
Version:       2.13b171
Release:       7%{?dist}
License:       OFL
URL:           http://www.stixfonts.org
Source0:       https://github.com/stipub/stixfonts/archive/refs/tags/v2.13b171.tar.gz
Source1:       %{fontconf}
Source2:       65-stix-fonts.xml

Requires:      fontpackages-filesystem

BuildArch:     noarch

%description
The mission of the Scientific and Technical Information Exchange (STIX) font
creation project is the preparation of a comprehensive set of fonts that serve
the scientific and engineering community in the process from manuscript
creation through final publication, both in electronic and print formats.

%prep
%autosetup -n stixfonts-%{version}

%build

%install
install -m 0755 -d %{buildroot}/%{_fontbasedir}/%{fontname}-fonts
install -m 0644 -p fonts/static_otf/STIXTwoMath-Regular.otf %{buildroot}/%{_fontbasedir}/%{fontname}-fonts
install -m 0644 -p fonts/static_otf/STIXTwoText-*.otf       %{buildroot}/%{_fontbasedir}/%{fontname}-fonts
install -m 0755 -d  %{buildroot}%{_fontconfig_confdir}
install -Dm 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} %{buildroot}%{_fontconfig_confdir}/%{fontconf}
install -Dm 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/metainfo/65-stix-fonts.xml

%files
%license OFL.txt
%{_fontconfig_templatedir}/*.conf
%{_fontconfig_confdir}/*.conf
%{_fontbasedir}/%{fontname}-fonts/STIXTwoMath-Regular.otf
%{_fontbasedir}/%{fontname}-fonts/STIXTwoText-*.otf
%{_datadir}/metainfo/65-stix-fonts.xml

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13b171-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13b171-6
- Rebuilt for loongarch release

* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 2.13b171-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13b171-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13b171-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13b171-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Shuo Wang <abushwang@tencent.com> - 2.13b171-1
- initial build

